Option Explicit
Option Strict

Imports BusObjectCS
Imports System.Data

namespace SubBusinessClass
   public class SubIBAProducts
   Inherits IBAProducts 
      public Overrides function AveragePrice ( productType as string) as Double
                                                             
         dim iAverage as double

         iAverage = MyBase.AveragePrice(productType)

         return CDbl(iAverage * 0.65)
      end Function
      
      public function GetNewestProduct (productType as string) as String
      	
      	dim myProducts as DataSet
      	myProducts = GetProducts(productType)
      	
      	Dim myDataView As DataView = New DataView(myProducts.Tables("products")) 
      	myDataView.Sort = "ProductIntroductionDate DESC"
      	
      	return myDataView(0)("ProductCode").ToString()
      	
      end Function
      
   end Class
end Namespace
